eoReal(3)

NAME
eoReal - eoReal: implementation of simple real-valued chromosome.

SYNOPSIS

#include <eoReal.h>

Inherits eoVector< FitT, double >.

  Public Member Functions
eoReal (unsigned size=0, double value=0.0)
(Default) Constructor.
virtual std::string className () const
My class name.

Detailed Description

  template<class FitT> class eoReal< FitT >
eoReal: implementation of simple real-valued chromosome. based on eoVector class

Definition at line 37 of file eoReal.h.

Constructor & Destructor Documentation

  template<class FitT> eoReal< FitT >::eoReal (unsigned size = 0, double value = 0.0) [inline]

(Default) Constructor.

Parameters:
    size Size of the std::vector

Definition at line 45 of file eoReal.h.

Author

Generated automatically by Doxygen for EO from the source code.